//
//  Configuration.mm
//  FragmentShaderBase
//
//  Created by 神谷 栄治 on 12/05/22.
//  Copyright (c) 2012年 株式会社アイビス. All rights reserved.
//

#import "Configuration.h"

@implementation Configuration
// MaxFshSourceNo
+(int)maxFshSourceNo{
	NSUserDefaults* ud = [NSUserDefaults standardUserDefaults];
	return [ud integerForKey:@"MaxFshSource"];
}

+(void)setMaxFshSourceNo:(int)no {
	NSUserDefaults* ud = [NSUserDefaults standardUserDefaults];
	[ud setInteger:no forKey:@"MaxFshSource"];
	[ud synchronize];
}

// FshSourceNoArray （要素はNSNumberのint型で、no）
+(NSArray*)fshSourceNoArray{
	NSUserDefaults* ud = [NSUserDefaults standardUserDefaults];
	return [ud objectForKey:@"FshSourceNoArray"];
}

+(void)setFshSourceNoArray:(NSArray*)array {
	NSUserDefaults* ud = [NSUserDefaults standardUserDefaults];
	[ud setObject:array forKey:@"FshSourceNoArray"];
	[ud synchronize];
}
// FshSource
+(NSString*)fshSouce:(int)no {
	NSUserDefaults* ud = [NSUserDefaults standardUserDefaults];
	return [ud objectForKey:[NSString stringWithFormat:@"FshSource%d", no]];
}

+(void)setFshSource:(NSString*)source no:(int)no {
	NSUserDefaults* ud = [NSUserDefaults standardUserDefaults];
	[ud setObject:source forKey:[NSString stringWithFormat:@"FshSource%d", no]];
	[ud synchronize];
}
@end
