//
//  MyGLView.h
//  FragmentShaderBase
//
//  Created by 神谷 栄治 on 12/05/16.
//  Copyright (c) 2012年 株式会社アイビス. All rights reserved.
//

#import "IBGLView.h"
#import "MyShader.h"

//GLViewデリゲート
@protocol MyGLViewDelegate
-(void)onTappedBackButton;
@end

//GLView
@interface MyGLView : IBGLView
// 描画
-(void)drawMain;
// デリゲート
@property(weak, nonatomic) id<MyGLViewDelegate> delegate;
// シェーダー
@property(strong, nonatomic) MyShader* shader;
@end
