//
//  IBGLImage.h
//  FragmentShaderBase
//
//  Created by 神谷 栄治 on 12/05/13.
//  Copyright (c) 2012年 株式会社アイビス. All rights reserved.
//

#import "IBGLShader.h"

@interface IBGLImage : NSObject
// 初期化
-(id)initWithUIImage:(UIImage*)uiImage;
// ロード
-(BOOL)loadImage:(UIImage*)uiImage;

// 画像の幅（単位：px）
@property int width;
// 画像の高さ（単位：px）
@property int height;
// GLのテクスチャID
@property uint textureId;
@end
